- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
User Management
- /
- Check User Session Status in Application
¶ Check if a user has a session login in the application
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Check whether a user has a session login status in the application
¶ Method name
ManagementClient.check_session_status
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| appId | string | Yes | - | App ID | app1 |
| userId | string | Yes | - | The unique identifier of the user, which can be user ID, user name, email, mobile number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id. | 6229ffaxxxxxxxxcade3e3d9 |
¶ Request Response
Type: CheckSessionStatusRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | CheckSessionStatusDataDto | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"active": true
}
}
¶ Data Structure
¶ CheckSessionStatusDataDto
| Name | Type | Is it required | Description | Example value |
|---|---|---|---|---|
| active | boolean | yes | Is it logged in | true |
